{% extends 'base.html.twig' %}

{% block body %}
    <div class="container">
        <div class="section">
            <div class="row">
                <div class="col s12 center">
                    <h4>ajouter vos dépenses en quelque seconde</h4>
                </div>
            </div>
            <!--   Form Section   -->
            <div class="card">
                <div class="card-content">
                    <div class="row">
                        <form action="{{ path('spending_charge') }}" method="post" id="payment-form">
                            <h5 class="center">Votre identité</h5>
                            <div class="input-field col s12 l6">
                                <input id="email" type="email" name="email" class="validate" required>
                                <label for="email">Votre Email</label>
                            </div>
                            <div class="input-field col s12 l6">
                                <input id="name" type="text" name="name" class="validate" required>
                                <label for="name">Votre nom</label>
                            </div>
                            <div class="input-field col s12 l6">
                                <input id="mount" type="number" name="amount" class="validate" value="{{ amount_participant|default(0) }}">
                                <label for="mount">Votre participation</label>
                            </div>
                            <div class="input-field col s12 l6">
                                <input id="depense" type="text" name="depense" class="validate" required>
                                <label for="depense">Nom de votre dépense</label>
                            </div>
                            <div class="clearfix"></div>
                            
                            <div class="input-field col s12 l6">
                                <a href="#!" class="btn btn-large waves-effect waves-light grey col s12">Annuler</a>
                            </div>
                            <div class="input-field col s12 l6">
                                <button class="btn btn-large waves-effect waves-light pink lighten-1 col s12" type="submit" name="action">
                                    ajouter une dépense
                                </button>
                            </div>
                            <input type="hidden" name="campaign_id" value="{{ campaign.id }}">
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
{% endblock %}